View Issue Details

IDProjectCategoryView StatusLast Update
13319Bug reports[All Projects] Installationpublic2018-02-08 15:37
ReporterNL3limin4t0r Assigned Toc_schmitz  
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version3.1.x 
Target VersionFixed in Version3.2.x 
Summary13319: Build number not correctly set in LimeSurvey 3.2.1 resulting in a crash.
Description

The newest available version does not have the build version set, and contains a single quote. Resulting in a wrong parsed php file.

Steps To Reproduce

1) Download and install LimeSurvey 3.2.1.
2) Visit: <limesurvey host>/admin.

The admin screen will welcome you with a ParseError instead of the normal admin login.

Additional Information

File <limesurvey>/application/config/version.php contains the following line:

$config['buildnumber'] = ''';

This line contains 3 single quotes and should contain 2 single quotes with the build number.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.2.1 build ???
I will donate to the project if issue is resolvedNo
BrowserFirefox Quantum 58.0.1 (64-bit)
Database & DB-Versionmysql Ver 15.1 Distrib 10.2.12-MariaDB, for debian-linux-gnu (x86_64) using readline 5.2
Server OS (if known)Ubuntu 17.10
Webserver software & version (if known)Server version: Apache/2.4.27 (Ubuntu), Server built: 2017-09-18T15:05:48
PHP VersionPHP 7.1.11-0ubuntu0.17.10.1 (cli) (built: Nov 1 2017 16:30:52) ( NTS )

Activities

NL3limin4t0r

NL3limin4t0r

2018-02-08 14:36

reporter  

Screenshot-2018-2-8 ParseError.png (110,536 bytes)
c_schmitz

c_schmitz

2018-02-08 15:37

administrator   ~46324

The package was faulty, we updated the archives. Please re-download.

Issue History

Date Modified Username Field Change
2018-02-08 14:36 NL3limin4t0r New Issue
2018-02-08 14:36 NL3limin4t0r File Added: Screenshot-2018-2-8 ParseError.png
2018-02-08 15:37 c_schmitz Assigned To => c_schmitz
2018-02-08 15:37 c_schmitz Status new => closed
2018-02-08 15:37 c_schmitz Resolution open => fixed
2018-02-08 15:37 c_schmitz Fixed in Version => 3.2.x
2018-02-08 15:37 c_schmitz Note Added: 46324